Ginkgo: gko::solver::Chebyshev< ValueType >::parameters_type Struct Reference

| Ginkgo Generated from branch based on main. Ginkgo version 1.11.0 A numerical linear algebra library targeting many-core architectures

Loading...
Searching...
No Matches
gko::solver::Chebyshev< ValueType >::parameters_type Struct Reference
Inheritance diagram for gko::solver::Chebyshev< ValueType >::parameters_type:
[legend]
Collaboration diagram for gko::solver::Chebyshev< ValueType >::parameters_type:
[legend]

## Public Member Functions
template<typename... Args>
auto | with_foci (Args &&... _value) -> std::decay_t< decltype(*(this->self()))> &
template<typename... Args>
auto | with_default_initial_guess (Args &&... _value) -> std::decay_t< decltype(*(this->self()))> &
Public Member Functions inherited from gko::solver::enable_preconditioned_iterative_solver_factory_parameters< parameters_type, Factory >
auto | with_preconditioner (::gko::deferred_factory_parameter< preconditioner_type > factory) -> std::decay_t< decltype(*(this->self()))> &
auto | with_generated_preconditioner (Args &&... _value) -> std::decay_t< decltype(*(this->self()))> &
Public Member Functions inherited from gko::solver::enable_iterative_solver_factory_parameters< parameters_type, Factory >
auto | with_criteria (Args &&... factories) -> std::decay_t< decltype(*(this->self()))> &
Public Member Functions inherited from gko::enable_parameters_type< parameters_type, Factory >
parameters_type & | with_loggers (Args &&... _value)
| Provides the loggers to be added to the factory and its generated objects in a fluent interface.
std::unique_ptr< Factory > | on (std::shared_ptr< const Executor > exec) const
| Creates a new factory on the specified executor.

## Public Attributes
std::pair< detail::coeff_type< value_type >, detail::coeff_type< value_type > > | foci {detail::coeff_type<value_type>{0}, detail::coeff_type<value_type>{1}}
| The pair of foci of ellipse, which covers the eigenvalues of preconditioned system.
initial_guess_mode | default_initial_guess {initial_guess_mode::provided}
| Default initial guess mode.
Public Attributes inherited from gko::solver::enable_preconditioned_iterative_solver_factory_parameters< parameters_type, Factory >
std::shared_ptr< const LinOpFactory > | preconditioner
| The preconditioner to be used by the iterative solver.
std::shared_ptr< const LinOp > | generated_preconditioner
| Already generated preconditioner.
Public Attributes inherited from gko::solver::enable_iterative_solver_factory_parameters< parameters_type, Factory >
std::vector< std::shared_ptr< const stop::CriterionFactory > > | criteria
| Stopping criteria to be used by the solver.

## Additional Inherited Members
Public Types inherited from gko::enable_parameters_type< parameters_type, Factory >
using | factory

## Member Data Documentation

## ◆ default_initial_guess

template<typename ValueType = default_precision>

initial_guess_mode gko::solver::Chebyshev< ValueType >::parameters_type::default_initial_guess {initial_guess_mode::provided}

Default initial guess mode.

The available options are under initial_guess_mode.

## ◆ foci

template<typename ValueType = default_precision>

std::pair<detail::coeff_type<value_type>, detail::coeff_type<value_type> > gko::solver::Chebyshev< ValueType >::parameters_type::foci {detail::coeff_type<value_type>{0}, detail::coeff_type<value_type>{1}}

The pair of foci of ellipse, which covers the eigenvalues of preconditioned system.

It is usually a pair {lower bound of eigval, upper bound of eigval} of the preconditioned system if the preconditioned system only contains non-complex eigenvalues. The foci value must satisfy real(foci(1)) >= real(foci(0)).

The documentation for this struct was generated from the following file:

- ginkgo/core/solver/chebyshev.hpp